QCAT - User Story #916

Review/Approval workflow: Basic solution
19 May 2016 10:59 - Lukas Vonlanthen

Status: Closed Start date: 19 May 2016
Priority: Normal Due date:

Assignee: Sebastian Manger % Done: 100%
Category: Estimated time: 40.00 hours
Target version: QCAT Backlog Spent time: 0.00 hour
Resolution:

Description

The basic solution is basically a bucket where all Questionnaires to be reviewed / published are collected. WOCAT secretariat can
then assign reviewer / publishers or do it themselves.

Subtasks:

Task # 917: Review: WOCAT secretariat can assign reviewer / publisher Closed
Task # 924: Basic Workflow messaging Closed
History

#1 - 11 Aug 2016 10:09 - Kurt Gerber

- Target version changed from WOCAT core productive release to QCAT Backlog

#2 - 22 Dec 2016 13:54 - Kurt Gerber

- Assignee changed from Lukas Vonlanthen to Sebastian Manger

#3 - 27 Jan 2017 13:06 - Kurt Gerber

- Status changed from New to Accepted

#4 - 07 Feb 2017 10:58 - Sebastian Manger
- Estimated time set to 40.00 h

Aufwand v.a. wegen 'Kontrollmechanismen', damit wir keine ungewollten Mails senden.

#5 - 23 Feb 2017 14:32 - Kurt Gerber

Verantwortung von Seiten WOCAT: Renate Fleiner

#6 - 06 Mar 2017 16:18 - Sebastian Manger
- File 1 my slm data.png added
- File 2 notifications.png added
- File 3 preferences.png added

pakete:
® basis-setup (8h)
e models erweitern
¢ datenmigrationen mit defaults; bisherige notifications sind 'sent'
e sprache pro user speichern (default: browsersprache, Ubersteuern in 'my profile' --> nur fir mails!)
e mailversand steuern (16h)
¢ globale-env var pro hosting (dev -> keine mails, demo -> keine mails, live -> mails)
e pro user: mail-praferenzen speichern

e mail-praferenzen updaten (my profile, mit signed url)
*wenn nicht abonnierte mails - dennoch 'abhaken’
e kontrolle (8h)

*admin-page mit Ubersicht Uber versandten mails --> aus log-files lesen?
*management-command: clean-mail-log / oder logrotate

mails senden (8h)

*management command
*cron auf server

#7 - 09 Mar 2017 14:44 - Kurt Gerber

- Status changed from Accepted to In Progress

#8 - 04 May 2017 17:42 - Kurt Gerber

- Status changed from In Progress to Closed
